[SciPy-user] debian package versions...

Arnd Baecker arnd.baecker at web.de
Fri Oct 22 09:29:00 CDT 2004


Hi,

On Fri, 22 Oct 2004, Gerald Richter wrote:

> just installed the new debian packages:

[...]

> # dpkg -s python-scipy
> Package: python-scipy
>
> # dpkg -s python-scipy-core
> Package: python-scipy-core

[...]

> BUT:
>
> $ ipython -p scipy
>
> In [1]: scipy.__version__
> Out[1]: '0.3.0_266.4239'
>
> is this just about forgetting to set the right __version__, or is this a
> bug in the package composition?

Interesting - I installed
(From deb http://deb-scipy.alioth.debian.org/apt/ ./
)

> dpkg -s python2.3-scipy
Package: python2.3-scipy

> dpkg -s python2.3-scipy-core
Package: python2.3-scipy-core

and
In [1]: import scipy
In [2]: scipy.__version__
Out[2]: '0.3.2'

So this looks fine ...
Is there any difference between python2.3-scipy and python-scipy?

Arnd



More information about the SciPy-user mailing list